/*  File: utils.h
 *  Author: Richard Durbin (rd@sanger.ac.uk)
 *  Copyright (C) Genome Research Limited, 2011
 *-------------------------------------------------------------------
 * Description: includes standard system headers and own headers
 * Exported functions:
 * HISTORY:
 * Last edited: Apr  4 11:55 2013 (rd)
 * Created: Wed Jan  5 16:13:48 2011 (rd)
 *-------------------------------------------------------------------
 */

#include <stdio.h>		/* FILE etc. */
#include <stdlib.h>		/* malloc(), free(), ... notation */
#include <string.h>		/* memset() */
#include <limits.h>		/* INT_MAX etc. */

#ifndef BOOL_DEFINED
#define BOOL_DEFINED
typedef char BOOL ;
#define TRUE 1
#define FALSE 0
#endif

#include "array.h"
#include "dict.h"
#include "hash.h"

void die (char *format, ...) ;
#define myalloc(n,type)	(type*)_myalloc((n)*sizeof(type))
void *_myalloc (int size) ;
#define mycalloc(n,type) (type*)_mycalloc(n,sizeof(type))
void *_mycalloc (int number, int size) ;
char *fgetword (FILE *f) ;	/* not threadsafe */
void timeUpdate (void) ;	/* report to stderr resources used since last called */

/************************/
